%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Client library for Rackspace's Cloud Servers API
Name: python-cloudservers
Version: 1.2
Release: 10%{?dist}
Source0: %{name}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildArch: noarch
Url: http://packages.python.org/python-cloudservers
BuildRequires: python-setuptools
BuildRequires: python-sphinx
Requires: python-httplib2
Requires: python-argparse
Requires: python-prettytable

%description
This is a client for Rackspace's Cloud Servers API. There's a Python API (the
"cloudservers" module), and a command-line script ("cloudservers"). Each
implements 100% of the Rackspace API.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
Documentation for %{name}


%prep
%setup -n %{name}-%{version} -q


%build
python setup.py build
pushd docs
make html
popd


%install
rm -rf %{buildroot}
python setup.py install -O1 --root=$RPM_BUILD_ROOT


%files
%{_bindir}/cloudservers
%{python_sitelib}/cloudservers
%{python_sitelib}/python_cloudservers-*.egg-info

%files doc
%doc docs/_build/html


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 29 2011 Chris Lalancette <clalance@redhat.com> - 1.2-3
- Initial package.
